# File: configfinder.coffee

Defined in: | node_modules/grunt-coffeelint/node_modules/coffeelint/src

## Variables Summary

findFileResults =

      {}

  Cache for findFile

## Method Summary

- ~ (void) findFile(name, dir) Searches for a file with a specified name starting with 'dir' and going all the way up either until it finds the file or hits the root.
- ~ (void) loadNpmConfig(dir) Possibly find CoffeeLint configuration within a package.json file.
- ~ (void) loadJSON(filename) Parse a JSON file gracefully.
- ~ (void) getConfig(filename = null)

  Tries to find a configuration file in either project directory (if file is given), as either the package.json's 'coffeelintConfig' property, or a project specific 'coffeelint.json' or a global 'coffeelint.json' in the home directory.

## Method Details

~ (void) findFile(name, dir)

Searches for a file with a specified name starting with 'dir' and going all the way up either until it finds the file or hits the root.

~ (void) loadNpmConfig(dir)

Possibly find CoffeeLint configuration within a package.json file.

~ (void) loadJSON(filename)

Parse a JSON file gracefully.

~ (void) getConfig(filename = null)

Tries to find a configuration file in either project directory (if file is given), as either the package.json's 'coffeelintConfig' property, or a project specific 'coffeelint.json' or a global 'coffeelint.json' in the home directory.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input